Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Class JspParser

    java.lang.Object
      net.sourceforge.pmd.jsp.ast.JspParser

All Implemented Interfaces:
  JspParserConstants, JspParserTreeConstants

public class JspParser
extends java.lang.Object
implements JspParserTreeConstants, JspParserConstants

Nested Class Summary
`(package private) static class` | `JspParser.JJCalls`

Field Summary
`Token` | `jj_nt`
`protected JJTJspParserState` | `jjtree`
`boolean` | `lookingAhead`
`Token` | `token`
`JspParserTokenManager` | `token_source`

Fields inherited from interface net.sourceforge.pmd.jsp.ast.JspParserTreeConstants
`JJTATTRIBUTE, JJTATTRIBUTEVALUE, JJTCDATA, JJTCOMMENTTAG, JJTCOMPILATIONUNIT, JJTCONTENT, JJTDECLARATION, JJTDOCTYPEDECLARATION, JJTDOCTYPEEXTERNALID, JJTELEMENT, JJTELEXPRESSION, JJTJSPCOMMENT, JJTJSPDECLARATION, JJTJSPDIRECTIVE, JJTJSPDIRECTIVEATTRIBUTE, JJTJSPEXPRESSION, JJTJSPEXPRESSIONINATTRIBUTE, JJTJSPSCRIPTLET, jjtNodeName, JJTTEXT, JJTUNPARSEDTEXT, JJTVALUEBINDING, JJTVOID`

Fields inherited from interface net.sourceforge.pmd.jsp.ast.JspParserConstants
`AfterTagState, ALPHA_CHAR, ALPHANUM_CHAR, ATTR_EQ, ATTR_NAME, AttrValueBetweenDoubleQuotesState, AttrValueBetweenSingleQuotesState, AttrValueState, CDATA_END, CDATA_START, CDataState, COMMENT_END, COMMENT_START, COMMENT_TEXT, CommentState, DECL_END, DECL_START, DEFAULT, DOCTYPE_DECL_END, DOCTYPE_DECL_START, DocTypeExternalIdState, DocTypeState, DOLLAR, DOLLAR_OR_HASH_DOUBLE_QUOTE, DOLLAR_OR_HASH_SINGLE_QUOTE, DOUBLE_QUOTE, EL_ESCAPE, EL_EXPRESSION, EL_EXPRESSION_IN_ATTRIBUTE, ENDING_DOUBLE_QUOTE, ENDING_SINGLE_QUOTE, ENDTAG_START, EOF, IDENTIFIER, IDENTIFIER_CHAR, IN_TAG_ERROR, InTagState, JSP_COMMENT_CONTENT, JSP_COMMENT_END, JSP_COMMENT_START, JSP_DECLARATION, JSP_DECLARATION_END, JSP_DECLARATION_START, JSP_DIRECTIVE_ATTRIBUTE_EQUALS, JSP_DIRECTIVE_ATTRIBUTE_NAME, JSP_DIRECTIVE_ATTRIBUTE_VALUE, JSP_DIRECTIVE_END, JSP_DIRECTIVE_NAME, JSP_DIRECTIVE_START, JSP_EXPRESSION, JSP_EXPRESSION_END, JSP_EXPRESSION_IN_ATTRIBUTE, JSP_EXPRESSION_START, JSP_SCRIPTLET, JSP_SCRIPTLET_END, JSP_SCRIPTLET_START, JspCommentState, JspDeclarationState, JspDirectiveAttributesState, JspDirectiveState, JspExpressionState, JspScriptletState, LST_ERROR, NAME, NEWLINE, NO_JSP_COMMENT_END, NO_JSP_TAG_END, NO_LT_OR_DOLLAR, NO_OPENBRACE_OR_LT, NO_WHITESPACE_OR_LT_OR_DOLLAR, NUM_CHAR, PUBLIC, QUOTE, QUOTED_LITERAL, QUOTED_STRING, QUOTED_STRING_NO_BREAKS, SINGLE_QUOTE, StartTagState, SYSTEM, TAG_END, TAG_NAME, TAG_SLASHEND, TAG_START, TEXT_IN_EL, tokenImage, UNPARSED, UNPARSED_TEXT, UNPARSED_TEXT_NO_DOUBLE_QUOTES, UNPARSED_TEXT_NO_SINGLE_QUOTES, VALUE_BINDING_IN_ATTRIBUTE, WHITESPACE, WHITESPACES, XMLNAME`

Constructor Summary
`JspParser(CharStream stream)`
`JspParser(JspParserTokenManager tm)`

Method Summary
`void` | `Attribute()`
`void` | `AttributeValue()` The value of an attribute of an element.
`void` | `CData()`
`void` | `CommentTag()`
`ASTCompilationUnit` | `CompilationUnit()` The root of the AST of a JSP.
`void` | `Content()` Everything between a start-tag and the corresponding end-tag of an element.
`void` | `ContentElementPossiblyWithText()` A single (non-text) element that can occur between a start- and end-tag of an element.
`void` | `Declaration()`
`void` | `disable_tracing()`
`void` | `DoctypeDeclaration()`
`void` | `DoctypeExternalId()`
`void` | `Element()` A XML element, either with a single empty tag, or with a starting and closing tag with optional contained content.
`java.lang.String` | `ElExpression()` An EL expression, not within an attribute value.
`java.lang.String` | `ElExpressionInAttribute()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `JspComment()`
`void` | `JspDeclaration()`
`void` | `JspDirective()`
`void` | `JspDirectiveAttribute()`
`void` | `JspExpression()`
`java.lang.String` | `JspExpressionInAttribute()`
`void` | `JspScriptlet()`
`void` | `Prolog()` The optional prolog of a JSP, including (xml) declarations and DTD.
`java.lang.String` | `QuoteIndependentAttributeValueContent()` Partial content of an attribute value that can contain all quotes.
`void` | `ReInit(CharStream stream)`
`void` | `ReInit(JspParserTokenManager tm)`
`void` | `Text()` This production groups all characters between two tags, where tag is an xml-tag "<...>" or a jsp-page-tag "<%...%>" or CDATA "".
`java.lang.String` | `UnparsedText()`
`java.lang.String` | `UnparsedTextNoDoubleQuotes()` Text that contains no double quotes, and that does not contain the start of a EL expression or value binding.
`java.lang.String` | `UnparsedTextNoSingleQuotes()` Text that contains no single quotes, and that does not contain the start of a EL expression or value binding.
`java.lang.String` | `ValueBindingInAttribute()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected JJTJspParserState jjtree

### token_source

    public JspParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### JspParser

    public JspParser(CharStream stream)

### JspParser

    public JspParser(JspParserTokenManager tm)

Method Detail

### CompilationUnit

    public final ASTCompilationUnit CompilationUnit()
                                             throws ParseException

  The root of the AST of a JSP.

  Throws:
    `ParseException`

### Prolog

    public final void Prolog()
                      throws ParseException

  The optional prolog of a JSP, including (xml) declarations and DTD.

  Throws:
    `ParseException`

### Content

    public final void Content()
                       throws ParseException

  Everything between a start-tag and the corresponding end-tag of an element.

  Throws:
    `ParseException`

### ContentElementPossiblyWithText

    public final void ContentElementPossiblyWithText()
                                              throws ParseException

  A single (non-text) element that can occur between a start- and end-tag of an element. Possibly followed by text.

  Throws:
    `ParseException`

### JspDirective

    public final void JspDirective()
                            throws ParseException

  Throws:
    `ParseException`

### JspDirectiveAttribute

    public final void JspDirectiveAttribute()
                                     throws ParseException

  Throws:
    `ParseException`

### JspScriptlet

    public final void JspScriptlet()
                            throws ParseException

  Throws:
    `ParseException`

### JspExpression

    public final void JspExpression()
                             throws ParseException

  Throws:
    `ParseException`

### JspDeclaration

    public final void JspDeclaration()
                              throws ParseException

  Throws:
    `ParseException`

### JspComment

    public final void JspComment()
                          throws ParseException

  Throws:
    `ParseException`

### Text

    public final void Text()
                    throws ParseException

  This production groups all characters between two tags, where tag is an xml-tag "<...>" or a jsp-page-tag "<%...%>" or CDATA "". Text consists of unparsed text and/or Expression Language expressions.

  Throws:
    `ParseException`

### UnparsedText

    public final java.lang.String UnparsedText()
                                        throws ParseException

  Throws:
    `ParseException`

### UnparsedTextNoSingleQuotes

    public final java.lang.String UnparsedTextNoSingleQuotes()
                                                      throws ParseException

  Text that contains no single quotes, and that does not contain the start of a EL expression or value binding.

  Throws:
    `ParseException`

### UnparsedTextNoDoubleQuotes

    public final java.lang.String UnparsedTextNoDoubleQuotes()
                                                      throws ParseException

  Text that contains no double quotes, and that does not contain the start of a EL expression or value binding.

  Throws:
    `ParseException`

### ElExpression

    public final java.lang.String ElExpression()
                                        throws ParseException

  An EL expression, not within an attribute value.

  Throws:
    `ParseException`

### ValueBindingInAttribute

    public final java.lang.String ValueBindingInAttribute()
                                                   throws ParseException

  Throws:
    `ParseException`

### ElExpressionInAttribute

    public final java.lang.String ElExpressionInAttribute()
                                                   throws ParseException

  Throws:
    `ParseException`

### CData

    public final void CData()
                     throws ParseException

  Throws:
    `ParseException`

### Element

    public final void Element()
                       throws ParseException

  A XML element, either with a single empty tag, or with a starting and closing tag with optional contained content.

  Throws:
    `ParseException`

### Attribute

    public final void Attribute()
                         throws ParseException

  Throws:
    `ParseException`

### AttributeValue

    public final void AttributeValue()
                              throws ParseException

  The value of an attribute of an element. EL expressions, JSF value bindings, and JSP expressions are parsed as sub-nodes of the AttributeValue node.

  Throws:
    `ParseException`

### QuoteIndependentAttributeValueContent

    public final java.lang.String QuoteIndependentAttributeValueContent()
                                                                 throws ParseException

  Partial content of an attribute value that can contain all quotes. This groups EL expressions, value bindings, and JSP expressions.

  Throws:
    `ParseException`

### JspExpressionInAttribute

    public final java.lang.String JspExpressionInAttribute()
                                                    throws ParseException

  Throws:
    `ParseException`

### CommentTag

    public final void CommentTag()
                          throws ParseException

  Throws:
    `ParseException`

### Declaration

    public final void Declaration()
                           throws ParseException

  Throws:
    `ParseException`

### DoctypeDeclaration

    public final void DoctypeDeclaration()
                                  throws ParseException

  Throws:
    `ParseException`

### DoctypeExternalId

    public final void DoctypeExternalId()
                                 throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(CharStream stream)

### ReInit

    public void ReInit(JspParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.